### Method

# EBackend SourceRegistryServer ref_backend

since: 3.6

#### Declaration [src]

    ECollectionBackend*
    e_source_registry_server_ref_backend (
      ESourceRegistryServer* server,
      ESource* source
    )

#### Description [src]

Returns the `ECollectionBackend` associated with `source`, or `NULL` if there is no `ECollectionBackend` associated with `source`.

An `ESource` is associated with an `ECollectionBackend` if the `ESource` has an `ESourceCollection` extension, or if it is a hierarchical descendant of another `ESource` which has an `ESourceCollection` extension.

The returned `ECollectionBackend` is referenced for thread-safety. Unreference the `ECollectionBackend` with `g_object_unref()` when finished with it.

Available since: 3.6

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `ECollectionBackend`

The `ECollectionBackend` for `source`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.